<th:block layout:decorate="~{layout/checkoutPageLayout}" th:with="isCheckoutContext=${true}">
    <head>
        <title>Checkout</title>
    </head>

    <div id="checkout" class="checkout js-checkout row" layout:fragment="content" th:fragment="ajax">
        <th:block th:if="${#lists.isEmpty(cart.orderItems)}">
            <div class="col-md-12">
                <div class="cart-warning">
                    <h1 th:utext="#{cart.empty}">Your cart is empty</h1>
                    <a th:href="@{/}" class="btn btn-primary btn-lg" th:utext="#{cart.continueShopping}">Continue Shopping</a>
                </div>
            </div>
        </th:block>

        <th:block th:if="${cartRequiresLock != null}">
            <div class="col-md-12">
                <div class="cart-warning">
                    <h1 th:utext="#{csr_lockCartBeforeCheckout}"></h1>

                    <a th:href="@{${'/csrtools/lock-cart/' + cart.id}}"
                       th:unless="${customer.isAnonymous() or cart.id == null or cart.status.type == 'CSR_OWNED'}"
                       th:text="#{csr_lockCart}"
                       class="btn btn-primary btn-lg enterprise-csr-tools csr-action"
                       id="csr-action-lock-cart"></a>
                </div>
            </div>
        </th:block>

        <th:block th:unless="${#lists.isEmpty(cart.orderItems) or cartRequiresLock != null}">
            <div class="col-md-12">
                <h1 th:utext="#{cart.checkout}">Checkout</h1>
            </div>

            <div class="col-md-8" th:if="${#paymentMethod.getPaymentProcessingError()}">
                <div class="card checkout-card payment-processing-error" th:with="message=#{${#paymentMethod.getPaymentProcessingError()}}">
                    <th:block th:replace="~{checkout/partials/checkoutAlert}"/>
                </div>
            </div>

            <div class="col-md-8">
                <th:block th:replace="checkout/partials/checkoutStages" />
            </div>

            <div class="col-md-4" th:unless="${#lists.isEmpty(cart.orderItems)}">
                <th:block th:replace="cart/partials/cartPricingSummary" />

                <th:block th:replace="cart/partials/cartItemSummary" />

<!--                 <th:block th:replace="checkout/partials/promoCodes" /> -->

                <th:block th:if="${#module.isPresent('Gift Cards and Customer Credit (AccountCredit)')}">
                    <th:block th:replace="checkout/partials/accountCreditForm" />
                </th:block>
            </div>
        </th:block>

        <div id="blc-extra-data" class="is-hidden" th:utext="${blcextradata}" th:if="${!#strings.isEmpty(blcextradata)}"></div>
    </div>
</th:block>
